'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var reactIntl = require('react-intl');
var reactRedux = require('react-redux');
var icons = require('@material-ui/icons');
var feCore = require('@openimis/fe-core');

var RIGHT_PRODUCTS = 121001;
var RIGHT_HEALTHFACILITIES = 121101;
var RIGHT_PRICELISTMS = 121201;
var RIGHT_PRICELISTMI = 121301;
var RIGHT_MEDICALSERVICES = 121401;
var RIGHT_MEDICALITEMS = 122101;
var RIGHT_ENROLMENTOFFICER = 121501;
var RIGHT_CLAIMADMINISTRATOR = 121601;
var RIGHT_USERS = 121701;
var RIGHT_PAYERS = 121801;
var RIGHT_LOCATIONS = 121901;
var RIGHT_USERPROFILES = 122001;

var classCallCheck = function (instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};

var createClass = function () {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  return function (Constructor, protoProps, staticProps) {
    if (protoProps) defineProperties(Constructor.prototype, protoProps);
    if (staticProps) defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();

var _extends = Object.assign || function (target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];

    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }

  return target;
};

var inherits = function (subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function, not " + typeof superClass);
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      enumerable: false,
      writable: true,
      configurable: true
    }
  });
  if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass;
};

var possibleConstructorReturn = function (self, call) {
  if (!self) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return call && (typeof call === "object" || typeof call === "function") ? call : self;
};

var AdminMainMenu = function (_Component) {
  inherits(AdminMainMenu, _Component);

  function AdminMainMenu() {
    classCallCheck(this, AdminMainMenu);
    return possibleConstructorReturn(this, (AdminMainMenu.__proto__ || Object.getPrototypeOf(AdminMainMenu)).apply(this, arguments));
  }

  createClass(AdminMainMenu, [{
    key: "render",
    value: function render() {
      var rights = this.props.rights;

      var entries = [];

      if (rights.includes(RIGHT_PRODUCTS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.products"),
          icon: React__default.createElement(icons.Tune, null),
          route: "/admin/products"
        });
      }
      if (rights.includes(RIGHT_HEALTHFACILITIES)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.healthFacilities"),
          icon: React__default.createElement(icons.LocalHospital, null),
          route: "/location/healthFacilities",
          withDivider: true
        });
      }
      if (rights.includes(RIGHT_PRICELISTMS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalServicesPrices"),
          icon: React__default.createElement(icons.HealingOutlined, null),
          route: "/admin/medicalServicesPriceList"
        });
      }
      if (rights.includes(RIGHT_PRICELISTMI)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalItemsPrices"),
          icon: React__default.createElement(icons.LocalPharmacyOutlined, null),
          route: "/admin/medicalItemsPriceList",
          withDivider: true
        });
      }
      if (rights.includes(RIGHT_MEDICALSERVICES)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalServices"),
          icon: React__default.createElement(icons.Healing, null),
          route: "/admin/medilcalServices"
        });
      }
      if (rights.includes(RIGHT_MEDICALITEMS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.medicalItems"),
          icon: React__default.createElement(icons.LocalPharmacy, null),
          route: "/admin/medilcalItems",
          withDivider: true
        });
      }
      if (rights.includes(RIGHT_USERS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.users"),
          icon: React__default.createElement(icons.Person, null),
          route: "/admin/users"
        });
      }
      if (rights.includes(RIGHT_USERPROFILES)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.usersProfiles"),
          icon: React__default.createElement(icons.AccountBox, null),
          route: "/admin/userProfiles"
        });
      }
      if (rights.includes(RIGHT_ENROLMENTOFFICER)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.enrollmentOfficers"),
          icon: React__default.createElement(icons.SupervisorAccount, null),
          route: "/admin/enrollmentOfficers"
        });
      }
      if (rights.includes(RIGHT_CLAIMADMINISTRATOR)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.claimAdministrators"),
          icon: React__default.createElement(icons.PersonOutlined, null),
          route: "/admin/claimAdministrators"
        });
      }
      if (rights.includes(RIGHT_PAYERS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.payers"),
          icon: React__default.createElement(icons.AccountBalance, null),
          route: "/admin/payers"
        });
      }
      if (rights.includes(RIGHT_LOCATIONS)) {
        entries.push({
          text: feCore.formatMessage(this.props.intl, "admin", "menu.locations"),
          icon: React__default.createElement(icons.PinDrop, null),
          route: "/location/locations"
        });
      }

      if (!entries.length) return null;
      return React__default.createElement(feCore.MainMenuContribution, _extends({}, this.props, {
        header: feCore.formatMessage(this.props.intl, "admin", "mainMenu"),
        icon: React__default.createElement(icons.LocationCity, null),
        entries: entries
      }));
    }
  }]);
  return AdminMainMenu;
}(React.Component);

var mapStateToProps = function mapStateToProps(state) {
  return {
    rights: !!state.core && !!state.core.user && !!state.core.user.i_user ? state.core.user.i_user.rights : []
  };
};

var AdminMainMenu$1 = reactIntl.injectIntl(reactRedux.connect(mapStateToProps)(AdminMainMenu));

var ProductsPage = function (_Component) {
    inherits(ProductsPage, _Component);

    function ProductsPage() {
        classCallCheck(this, ProductsPage);
        return possibleConstructorReturn(this, (ProductsPage.__proto__ || Object.getPrototypeOf(ProductsPage)).apply(this, arguments));
    }

    createClass(ProductsPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindProduct.aspx" });
        }
    }]);
    return ProductsPage;
}(React.Component);

var MedicalServicesPriceListPage = function (_Component) {
    inherits(MedicalServicesPriceListPage, _Component);

    function MedicalServicesPriceListPage() {
        classCallCheck(this, MedicalServicesPriceListPage);
        return possibleConstructorReturn(this, (MedicalServicesPriceListPage.__proto__ || Object.getPrototypeOf(MedicalServicesPriceListPage)).apply(this, arguments));
    }

    createClass(MedicalServicesPriceListPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindPriceListMS.aspx" });
        }
    }]);
    return MedicalServicesPriceListPage;
}(React.Component);

var MedicalItemsPriceListPage = function (_Component) {
    inherits(MedicalItemsPriceListPage, _Component);

    function MedicalItemsPriceListPage() {
        classCallCheck(this, MedicalItemsPriceListPage);
        return possibleConstructorReturn(this, (MedicalItemsPriceListPage.__proto__ || Object.getPrototypeOf(MedicalItemsPriceListPage)).apply(this, arguments));
    }

    createClass(MedicalItemsPriceListPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindPriceListMI.aspx" });
        }
    }]);
    return MedicalItemsPriceListPage;
}(React.Component);

var MedicalServicesPage = function (_Component) {
    inherits(MedicalServicesPage, _Component);

    function MedicalServicesPage() {
        classCallCheck(this, MedicalServicesPage);
        return possibleConstructorReturn(this, (MedicalServicesPage.__proto__ || Object.getPrototypeOf(MedicalServicesPage)).apply(this, arguments));
    }

    createClass(MedicalServicesPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindMedicalService.aspx" });
        }
    }]);
    return MedicalServicesPage;
}(React.Component);

var MedicalItemsPage = function (_Component) {
    inherits(MedicalItemsPage, _Component);

    function MedicalItemsPage() {
        classCallCheck(this, MedicalItemsPage);
        return possibleConstructorReturn(this, (MedicalItemsPage.__proto__ || Object.getPrototypeOf(MedicalItemsPage)).apply(this, arguments));
    }

    createClass(MedicalItemsPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindMedicalItem.aspx" });
        }
    }]);
    return MedicalItemsPage;
}(React.Component);

var UsersPage = function (_Component) {
    inherits(UsersPage, _Component);

    function UsersPage() {
        classCallCheck(this, UsersPage);
        return possibleConstructorReturn(this, (UsersPage.__proto__ || Object.getPrototypeOf(UsersPage)).apply(this, arguments));
    }

    createClass(UsersPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindUser.aspx" });
        }
    }]);
    return UsersPage;
}(React.Component);

var UserProfilesPage = function (_Component) {
    inherits(UserProfilesPage, _Component);

    function UserProfilesPage() {
        classCallCheck(this, UserProfilesPage);
        return possibleConstructorReturn(this, (UserProfilesPage.__proto__ || Object.getPrototypeOf(UserProfilesPage)).apply(this, arguments));
    }

    createClass(UserProfilesPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindProfile.aspx" });
        }
    }]);
    return UserProfilesPage;
}(React.Component);

var EnrollmentOfficersPage = function (_Component) {
    inherits(EnrollmentOfficersPage, _Component);

    function EnrollmentOfficersPage() {
        classCallCheck(this, EnrollmentOfficersPage);
        return possibleConstructorReturn(this, (EnrollmentOfficersPage.__proto__ || Object.getPrototypeOf(EnrollmentOfficersPage)).apply(this, arguments));
    }

    createClass(EnrollmentOfficersPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindOfficer.aspx" });
        }
    }]);
    return EnrollmentOfficersPage;
}(React.Component);

var ClaimAdministratorsPage = function (_Component) {
    inherits(ClaimAdministratorsPage, _Component);

    function ClaimAdministratorsPage() {
        classCallCheck(this, ClaimAdministratorsPage);
        return possibleConstructorReturn(this, (ClaimAdministratorsPage.__proto__ || Object.getPrototypeOf(ClaimAdministratorsPage)).apply(this, arguments));
    }

    createClass(ClaimAdministratorsPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindClaimAdministrator.aspx" });
        }
    }]);
    return ClaimAdministratorsPage;
}(React.Component);

var PayersPage = function (_Component) {
    inherits(PayersPage, _Component);

    function PayersPage() {
        classCallCheck(this, PayersPage);
        return possibleConstructorReturn(this, (PayersPage.__proto__ || Object.getPrototypeOf(PayersPage)).apply(this, arguments));
    }

    createClass(PayersPage, [{
        key: "render",
        value: function render() {
            return React__default.createElement(feCore.ProxyPage, { url: "/FindPayer.aspx" });
        }
    }]);
    return PayersPage;
}(React.Component);

var messages_en = {
	"admin.mainMenu": "Administration",
	"admin.menu.products": "Products",
	"admin.menu.healthFacilities": "Health Facilities",
	"admin.menu.medicalServicesPrices": "Medical Services Price List",
	"admin.menu.medicalItemsPrices": "Medical Items Price List",
	"admin.menu.medicalServices": "Medical Services",
	"admin.menu.medicalItems": "Medical Items",
	"admin.menu.users": "Users",
	"admin.menu.usersProfiles": "Users Profiles",
	"admin.menu.enrollmentOfficers": "Enrollment Officers",
	"admin.menu.claimAdministrators": "Claim Administrators",
	"admin.menu.payers": "Payers",
	"admin.menu.locations": "Locations"
};

var DEFAULT_CONFIG = {
  "translations": [{ key: 'en', messages: messages_en }],
  "core.Router": [{ path: "admin/products", component: ProductsPage }, { path: "admin/medicalServicesPriceList", component: MedicalServicesPriceListPage }, { path: "admin/medicalItemsPriceList", component: MedicalItemsPriceListPage }, { path: "admin/medilcalServices", component: MedicalServicesPage }, { path: "admin/medilcalItems", component: MedicalItemsPage }, { path: "admin/users", component: UsersPage }, { path: "admin/userProfiles", component: UserProfilesPage }, { path: "admin/enrollmentOfficers", component: EnrollmentOfficersPage }, { path: "admin/claimAdministrators", component: ClaimAdministratorsPage }, { path: "admin/payers", component: PayersPage }],
  "core.MainMenu": [AdminMainMenu$1]
};

var AdminModule = function AdminModule(cfg) {
  return _extends({}, DEFAULT_CONFIG, cfg);
};

exports.AdminModule = AdminModule;
//# sourceMappingURL=index.js.map
